Subject: Re: Zsh on Ubuntu on Windows
From: Bart Schaefer <[email-masked]>
To: Tyler James Leonhardt <[email-masked]>
Cc: "Zsh Hackers' List" <[email-masked]>
Date: Sat, 23 Apr 2016 17:21:40 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sat, Apr 23, 2016 at 4:42 PM, Tyler James Leonhardt
<[email-masked]> wrote:
>
> This apparently has a workaround that I haven’t tried yet.
> https://github.com/Microsoft/BashOnWindows/issues/91

Well ...
[1] This confirms exactly what I just said, that Microsoft has a broken wait3().
[2] Not so much a workaround as an explanation for how to recompile zsh.

> I just used apt-get to install it. I’m not sure who compiled it

That it was pre-compiled by someone for binary installation with
apt-get is sufficient explanation.  The binary will have been built on
a real Ubuntu kernel with a working wait3() and therefore won't be
compatible with the emulated implementation inside Windows 10.

Short answer seems to be to recompile with HAVE_GETRUSAGE removed from config.h.